Get Knowledge Base by ID
Retrieves a specific knowledge base by its unique identifier.
GET
/
knowledge-base
/
{knowledgeBaseId}
Get Knowledge Base by ID
curl --request GET \
--url https://services.leadconnectorhq.com/knowledge-base/{knowledgeBaseId} \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/knowledge-base/{knowledgeBaseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/knowledge-base/{knowledgeBaseId}"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"knowledgeBase": {
"id": "kb_abc123def456",
"locationId": "ve9EPM428h8vShlRW1KT",
"name": "Product Documentation",
"urlCount": 15,
"faqCount": 42,
"status": "active",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 404,
"message": "Not found",
"error": "Not Found"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Authorizations
Path Parameters
Last modified on March 7, 2026
Was this page helpful?
Get Knowledge Base by ID
curl --request GET \
--url https://services.leadconnectorhq.com/knowledge-base/{knowledgeBaseId} \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/knowledge-base/{knowledgeBaseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/knowledge-base/{knowledgeBaseId}"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"knowledgeBase": {
"id": "kb_abc123def456",
"locationId": "ve9EPM428h8vShlRW1KT",
"name": "Product Documentation",
"urlCount": 15,
"faqCount": 42,
"status": "active",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 404,
"message": "Not found",
"error": "Not Found"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}